# -*- encoding: utf-8 -*-
import wizard

options_form = '''<?xml version="1.0"?>
<form string="Firmas Electrónica">
    <group col="4" colspan="4">
        <field colspan="4" name="archivo" />
    </group>
</form>'''

options_fields = {
     'archivo': {'string': 'Campo 1', 'type': 'binary', 'required': True,'readonly':False,'filters':'*.pdf,*.bdoc'}
}


options_form2 = '''<?xml version="1.0"?>
<form string="Segunda parte formulario">
    <group col="4" colspan="4">
        <field colspan="4" name="nombre" />
    </group>
</form>'''

options_fields2 = {'nombre': {'string': 'Nombre', 'type': 'char', 'required': True,'readonly':False, 'size':54}
}

class fima_electronica2(wizard.interface):
    
    def _procesar(self, cr, uid, data, context={}):
        
        for d in self.browse(cr,uid,ids):
            print d.archivo
        
        return data['form']
    
    states = {
        'init': {
            'actions': [],
            'result': {'type':'form', 
                       'arch': options_form, 
                       'fields': options_fields, 
                       'state':[('end','Cancelar'),('next','Siguiente')]}
        },
        'next': {
            'actions': [_procesar],
            'result': {'type':'form', 
                       'arch': options_form2, 
                       'fields': options_fields2, 
                       'state':[('end','Cerrar')]}
        }
    }

fima_electronica2('firma.probando.tal.cosa')
